/* SECTION 1 (who can claim maintenace) */
.maintenance-container {
  width: 100%;
  padding: 0 20px;
}

.maintenance-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
  padding: 80px 0;
  padding-top: 50px;
}

.maintenance-head-para {
  max-width: 589px;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 15px;
}

.maintenance-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.maintenance-card-list {
  max-width: 1233px;
  width: 100%;
  display: flex;
  justify-content: space-between;
  gap: 24px;
}

.maintenance-card {
  max-width: 279px;
  width: 100%;
  min-height: 330px;
  display: flex;
  flex-direction: column;
  gap: 24px;
  padding: 18px 25px;
  border-radius: 16px;
  border: 1px solid #ffe5f3;
  box-shadow: 0 4px 16px rgba(0, 0, 0, 0.12);
  position: relative;
  cursor: default;
  transition: all 0.2s ease;
}

.maintenance-card-deco {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  right: 25px;
  top: 18px;
}

.maintenance-card-icon {
  width: 59px;
  height: 59px;
  display: flex;
  align-items: center;
  border-radius: 9px;
  background-color: rgba(255, 204, 230, 0.57);
}

.maintenance-card-icon img {
  max-width: 39px;
  width: 100%;
  height: auto;
  object-fit: cover;
  margin-left: 39px;
}

.maintenance-card-content {
  display: flex;
  flex-direction: column;
  gap: 10px;
  max-width: 210px;
}

.maintenance-card:hover {
  background-color: var(--color-light-red);
  transform: translateY(-5px);
  transition: all 0.2s ease;
}

@media (max-width: 1163.98px) {
  .maintenance-card-list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    place-items: center;
    max-width: 588px;
    gap: 30px;
  }
}

@media (max-width: 1023.98px) {
  .maintenance-wrapper {
    padding: 60px 0;
    padding-top: 40px;
    gap: 48px;
  }

  .maintenance-head-para {
    max-width: 708px;
    gap: 10px;
  }

  .maintenance-card-content p {
    padding-right: 10px;
  }
}

@media (max-width: 640.98px) {
  .maintenance-container {
    padding: 0 16px;
  }

  .maintenance-wrapper {
    padding: 50px 0;
    padding-top: 35px;
    gap: 35px;
  }

  .maintenance-card-list {
    grid-template-columns: 1fr;
  }
}

@media (max-width: 480px) {
  .maintenance-head {
    max-width: 270px;
  }
}

/* SECTION 2 (what is 144 0f bnss) */
.bnss-container {
  width: 100%;
  padding: 0 35px;
  background-color: var(--color-light-red);
}

.bnss-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: clamp(50px, 6.25vw, 80px);
  padding: 80px 0;
}

.bnss-content {
  max-width: 561px;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.bnss-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.bnss-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.bnss-mini-card-list {
  display: flex;
  gap: 19px;
}

.bnss-mini-card {
  max-width: 162px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 8px;
  padding: 16px 15px;
  border-radius: 8px;
  background-color: var(--color-white);
  border-left: 4px solid var(--color-red);
}

.bnss-feature-list {
  max-width: 481px;
  min-width: 404px;
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.bnss-feature {
  display: flex;
  align-items: center;
  gap: 33px;
}

.bnss-feature-icon {
  width: 72px;
  height: 72px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 11px;
  background-color: var(--color-red);
  flex-shrink: 0;
}

.bnss-feature-content h3 {
  color: #0d0e10;
}

@media (max-width: 1100px) {
  .bnss-wrapper {
    gap: 50px;
  }

  .bnss-mini-card-list {
    gap: 7px;
  }
}

@media (max-width: 1023.98px) {
  .bnss-container {
    padding: 0 20px;
  }

  .bnss-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 5.3vw, 40px);
    flex-direction: column;
    align-items: center;
  }

  .bnss-content {
    max-width: 561px;
    align-items: center;
  }

  .bnss-head-para {
    gap: 10px;
    align-items: center;
    text-align: center;
  }

  .bnss-mini-card-list {
    gap: 19px;
  }
}

@media (max-width: 640.98px) {
  .bnss-container {
    padding: 0 16px;
  }

  .bnss-wrapper {
    padding: 50px 0;
    gap: 50px;
  }

  .bnss-mini-card-list {
    flex-direction: column;
    align-items: center;
    gap: 30px;
  }

  .bnss-mini-card {
    max-width: 249px;
  }

  .bnss-feature-list {
    padding: 0 14px;
    min-width: unset;
  }

  .bnss-feature {
    gap: 24px;
    align-items: flex-start;
  }

  .bnss-feature-icon {
    width: 58px;
    height: 58px;
    margin-top: 8px;
  }

  .bnss-feature-icon img {
    width: 42px;
    height: 42px;
  }
}

/* SECTION 3 (basic financial support) */
.financial-container {
  width: 100%;
  padding: 0 50px;
}

.financial-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 80px;
  padding: 80px 0;
}

.financial-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

.financial-image img {
  max-width: 481px;
  width: 100%;
  min-width: 374px;
  height: auto;
  object-fit: cover;
}

.financial-content {
  max-width: 591px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.financial-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.financial-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.financial-support-list {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.financial-support-item {
  display: flex;
  gap: 12px;
  padding: 6px 8px;
}

.financial-support-number {
  width: 38px;
  height: 38px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  flex-shrink: 0;
  background-color: #ffe6f3;
  border-radius: 50%;
  font-size: 18px;
  line-height: 30px;
  font-weight: 600;
  color: var(--color-red);
}

@media (max-width: 1023.98px) {
  .financial-container {
    padding: 0 20px;
  }

  .financial-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
    align-items: center;
  }

  .financial-image img {
    max-width: 374px;
    min-width: unset;
  }

  .financial-content {
    align-items: center;
  }

  .financial-head-para {
    gap: 10px;
    align-items: center;
    text-align: center;
  }
}

@media (max-width: 640.98px) {
  .financial-container {
    padding: 0 16px;
  }

  .financial-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .financial-head {
    gap: 1px;
  }
}

/* SECTION 4 (How court decide the amount) */
.amount-container {
  width: 100%;
  padding: 0 35px;
  background-color: var(--color-light-red);
}

.amount-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: clamp(50px, 6.25vw, 80px);
  padding: 80px 0;
}

.amount-content {
  max-width: 563px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.amount-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.amount-card-list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 30px 43px;
}

.amount-card {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.amount-card-content {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.amount-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

.amount-image img {
  max-width: 467px;
  width: 100%;
  min-width: 394px;
  height: auto;
  object-fit: cover;
}

@media (max-width: 1100px) {
  .amount-wrapper {
    gap: clamp(35px, 6.6vw, 50px);
  }
}

@media (max-width: 1023.98px) {
  .amount-container {
    padding: 0 20px;
  }

  .amount-wrapper {
    padding: 60px 0;
    flex-direction: column-reverse;
  }

  .amount-image img {
    max-width: 394px;
    min-width: unset;
  }

  .amount-content {
    max-width: 554px;
    width: 100%;
    align-items: center;
  }

  .amount-head {
    align-items: center;
    text-align: center;
  }

  .amount-card-list {
    gap: 30px 27px;
  }
}

@media (max-width: 640.98px) {
  .amount-container {
    padding: 0 16px;
  }

  .amount-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .amount-head {
    gap: 1px;
    max-width: 321px;
  }

  .amount-card-list {
    grid-template-columns: 1fr;
    max-width: 264px;
  }
}

/* SECTION 5 (Interim and final maintenance) */
.interim-container {
  width: 100%;
  padding: 0 50px;
}

.interim-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: clamp(50px, 6.25vw, 80px);
  padding: 80px 0;
}

.interim-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

.interim-image img {
  max-width: 409px;
  width: 100%;
  min-width: 357px;
  height: auto;
  object-fit: cover;
}

.interim-content {
  max-width: 607px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.interim-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.interim-feature-list {
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.interim-feature {
  display: flex;
  align-items: flex-start;
  gap: 23px;
  padding: 8px;
  padding-left: 0;
}

.interim-feature-icon {
  width: 81px;
  height: 78px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
  margin-top: 2px;
  background-image: url(../../assets/icons/pink-cloud-shape-icon-bg-img.svg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: 100%;
}

.interim-feature-icon img {
  width: 40px;
  height: 40px;
}

.interim-feature-content {
  max-width: 487px;
  display: flex;
  flex-direction: column;
  gap: 8px;
}

@media (max-width: 1110px) {
  .interim-wrapper {
    gap: 50px;
  }

  .interim-content {
    padding-right: 5px;
  }
}

@media (max-width: 1023.98px) {
  .interim-container {
    padding: 0 20px;
  }

  .interim-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
  }

  .interim-image img {
    min-width: unset;
    max-width: 357px;
  }

  .interim-content {
    align-items: center;
  }

  .interim-head {
    max-width: 445px;
    align-items: center;
    text-align: center;
  }
}

@media (max-width: 640.98px) {
  .interim-container {
    padding: 0 16px;
  }

  .interim-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .interim-head {
    gap: 1px;
    max-width: 220px;
  }

  .interim-feature-list {
    gap: 30px;
  }

  .interim-feature {
    gap: 18px;
  }

  .interim-feature-icon {
    width: 62px;
    height: 60px;
    margin-top: 8px;
  }

  .interim-feature-icon img {
    width: 31px;
    height: 31px;
  }
}

/* SECTION 6 (Court process work) */
.work-container {
  width: 100%;
  padding: 0 38px;
  background-color: var(--color-light-red);
}

.work-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: clamp(50px, 6.25px, 80px);
  padding: 80px 0;
}

.work-content {
  max-width: 580px;
  min-width: 443px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.work-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.work-feature-list {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.work-feature {
  display: flex;
  align-items: flex-start;
  gap: 16px;
  padding: 8px 0;
}

.work-feature-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 6px;
}

.work-feature-content {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.work-feature-content p {
  max-width: 468px;
}

.work-image {
  max-width: 543px;
  width: 100%;
  min-width: 435px;
  padding-right: 27px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  position: relative;
}

.work-image img {
  max-width: 510px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.square-box-deco-img {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  right: 0;
  bottom: 0;
}

@media (max-width: 1110px) {
  .work-wrapper {
    gap: 50px;
  }

  .square-box-deco-img img {
    width: 64px;
    height: 53px;
  }
}

@media (max-width: 1023.98px) {
  .work-container {
    padding: 0 20px;
  }

  .work-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
    align-items: center;
  }

  .work-image {
    min-width: unset;
    max-width: 408px;
    justify-content: center;
    padding: 0;
  }

  .square-box-deco-img {
    right: -10px;
  }

  .work-content {
    max-width: 518px;
    align-items: center;
    min-width: unset;
  }

  .work-head {
    align-items: center;
    text-align: center;
  }

  .work-feature {
    padding: 0;
  }
}

@media (max-width: 640.98px) {
  .work-container {
    padding: 0 16px;
  }

  .work-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .work-feature {
    gap: 18px;
  }

  .work-head {
    max-width: 179px;
  }

  .square-box-deco-img {
    right: 4px;
  }

  .square-box-deco-img img {
    width: 49px;
    height: 42px;
  }
}

/* SECTION 7 (things you should know) */
.things-container {
  width: 100%;
  padding: 0 40px;
}

.things-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: clamp(50px, 6.25vw, 80px);
  padding: 80px 0;
}

.things-image-layout {
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 410px;
}

.things-image-primary {
  display: flex;
  justify-content: center;
  align-items: center;
}

.things-image-primary img {
  max-width: 320px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.things-image-secondary {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-left: -64px;
  z-index: 2;
}

.things-image-secondary img {
  max-width: 302px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.things-content {
  max-width: 574px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.things-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.things-feature-list {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.things-feature {
  display: flex;
  align-items: flex-start;
  gap: 16px;
  padding: 8px;
  padding-bottom: 0;
  padding-left: 0;
}

.things-feature-icon {
  width: 75px;
  height: 75px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #ffbcdf;
  border-radius: 50%;
  flex-shrink: 0;
  margin-top: 3px;
}

.things-feature-content {
  display: flex;
  flex-direction: column;
  gap: 8px;
  max-width: 464px;
}

@media (max-width: 1140px) {
  .things-wrapper {
    gap: 50px;
  }
}

@media (max-width: 1100px) {
  .things-image-secondary {
    margin-left: -48px;
  }
}

@media (max-width: 1023.98px) {
  .things-container {
    padding: 0 20px;
  }

  .things-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
    align-items: center;
  }

  .things-image-layout {
    min-width: unset;
    max-width: 410px;
  }

  .things-content {
    align-items: center;
  }

  .things-head {
    align-items: center;
    text-align: center;
  }

  .things-feature-list {
    gap: 40px;
  }
}

@media (max-width: 640.98px) {
  .things-container {
    padding: 0 16px;
  }

  .things-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .things-head {
    gap: 1px;
  }

  .things-image-secondary {
    margin-left: -27px;
  }

  .things-feature-list {
    gap: 30px;
  }

  .things-feature {
    padding: 0;
    gap: 18px;
  }

  .things-feature-icon {
    width: 62px;
    height: 62px;
  }

  .things-feature-icon img {
    width: 38px;
    height: 38px;
  }

  .things-feature-content {
    gap: 0;
    padding-right: 11px;
  }
}
